Project variables can be separated into a few groups based on a keyword they contain:

- Variables that contain `input`,  are used for proper input dataset connection
- Variables that contain `connection` are used for determining the type of connection (Filesystem, MySQL, etc)
- Variables that contain `path` are used to determine the source path of datasets (it is possible to connect with datasets that are not in another project).
- Variables that contain `identifier_column` are used for the column mapping feature. It is possible for the user to have their own column names set in the app.
- Variable `enable_itemset_option` serves for multi-product forecasting (if the demand_forecast dataset contains multiple products then this option should be enabled)
- Variable `leverage_allocation_and_procurement_baselines` serves for enabling the benchmark option
- Variable  `relative_mip_gap` is a parameter related to optimization settings (more info in this article [What is MIP](article:19))




### Example of project variables:

```
  "supply_nodes_input": "supply_nodes",
  "demand_nodes_input": "demand_nodes",
  "supply_input": "supply",
  "demand_forecast_input": "demand_forecast",
  "shipping_input": "shipping",
  "leverage_allocation_and_procurement_baselines": true,
  "product_procurement_baseline_input": "product_procurement_baseline",
  "product_allocation_baseline_input": "product_allocation_baseline",
  "main_connection": "filesystem_managed",
  "connection_type": "Filesystem",
  "supply_nodes_path": "DATAIKUINVENTORYOPTIMIZATION/supply_nodes",
  "demand_nodes_path": "DATAIKUINVENTORYOPTIMIZATION/demand_nodes",
  "supply_path": "DATAIKUINVENTORYOPTIMIZATION/supply",
  "demand_forecast_path": "DATAIKUINVENTORYOPTIMIZATION/demand_forecast",
  "shipping_path": "DATAIKUINVENTORYOPTIMIZATION/shipping",
  "product_procurement_baseline_path": "DATAIKUINVENTORYOPTIMIZATION/product_procurement_baseline",
  "product_allocation_baseline_path": "DATAIKUINVENTORYOPTIMIZATION/product_allocation_baseline",
  "supply_node_identifier_column": "warehouse_id",
  "demand_node_identifier_column": "forecast_granularity",
  "product_identifier_column": "product_id",
  "product_shipping_cost_identifier_column": "product_shipping_cost",
  "allocation_baseline_stock_quantity_identifier_column": "product_stock_quantity",
  "product_stock_procurement_quantity_identifier_column": "product_stick_procurement_quantity",
  "product_stock_in_warehouses_identifier_column": "product_stock_in_warehouses",
  "product_unit_procurement_cost_identifier_column": "product_unit_procurement_cost",
  "location_capacity_identifier_column": "location_capacity",
  "forecasted_demand_identifier_column": "forecasted_demand",
  "enable_itemset_option": true,
  "relative_mip_gap" : 0.05
```


