Dataiku automates processes via [scenarios](https://knowledge.dataiku.com/latest/mlops-o16n/automation/concept-scenarios.html). These enable a user to build robust data pipelines that will generate reports in an automated, simple, and auditable way. Scenarios are an essential part of the Dataiku flow.


----

![scenarios](62FgLVzF2SrV)

Here are the short descriptions and purpose of each scenario in the flow:

- [load_application_variables](scenario:LOAD_APPLICATION_VARIABLES) copies variables from  _Local Variables_  to  _Global Variables_ .
- [load_project_datasources](scenario:LOAD_PROJECT_DATASOURCES) loads datasets via chosen connection into the flow.
- [reconfigure_flow_connections_settings](scenario:RECONFIGURE_FLOW_CONNECTIONS_SETTINGS) changes the connection type into the chosen one by the user.
- [clear_output_datasets](scenario:CLEAR_OUTPUT_DATASETS) drops data from important datasets in the [dashboard_zone](flow_zone:PoMoskB). This makes sure that there is no any old data left in the dashboard if the flow is rerun.
- [build_preprocess_zone](scenario:BUILD_PREPROCESS_ZONE) builds the datasets in [preprocess_zone](flow_zone:UDpbzbg). This zone is where the dynamic column mapping happens. This is a meta scenario that runs two scenarios written below.
     - [build_preprocess_zone_mandatory](scenario:BUILD_PREPROCESS_ZONE_MANDATORY)  builds  ** _mandatory_ **  datasets in the [preprocess_zone](flow_zone:UDpbzbg).
     - [build_preprocess_zone_optional](scenario:BUILD_PREPROCESS_ZONE_OPTIONAL) builds  ** _optional_ **  datasets in the [preprocess_zone](flow_zone:UDpbzbg) if available. See Datasources Requirements in [Requirements](article:9) for more info regarding mandatory and optional datasets.
- [build_optimization](scenario:BUILD_OPTIMIZATION) runs the [optimization](flow_zone:NoCtLXN) zone and builds four datasets which are the results of the mixed-integer programming problem.
- [build_benchmark](scenario:BUILD_BENCHMARK) builds the benchmark flow which consists of three zones, and each zone is run by one scenario below. If baseline (optional) datasets are selected, then this zone will run.
  - [build_product_shipping_benchmark_calculation](scenario:BUILD_PRODUCT_SHIPPING_BENCHMARK_CALCULATION) builds the [product_shipping_benchmark_calculation](flow_zone:NtjK8D3) which calculates baseline shipping costs.
  - [build_product_procurement_benchmark_calculation](scenario:BUILD_PRODUCT_PROCUREMENT_BENCHMARK_CALCULATION) builds the [product_procurement_benchmark_calculation](flow_zone:yxPIzRD) which calculates baseline product procurement costs.
  - [build_cost_benchmark_calculation](scenario:BUILD_OBJECTIVE_VALUE_BENCHMARK) calculates the final baseline cost with results from the two zones before.
- [build_dashboard_zone](scenario:DASHBOARD_ZONE) builds datasets in the [dashboard_zone](flow_zone:PoMoskB) which are used for creating the dashboard.
- [build_flow](scenario:BUILD_FLOW) builds the whole flow i.e. runs scenarios listed above, uses [Project Variables](article:13) to determine if some scenarios will be ran.


