The [dashboard_zone](flow_zone:PoMoskB) is the final zone of the flow. Here, data processing is done for the sake of displaying data in the dashboard and download important result datasets from the Dataiku application. In this zone mostly trivial operations are done, like group by and joins, in order to get additional information such as price of procurement or shipping. Therefore, it enables display of more rich information in the dashboard.


![dashboard_zone](4sUC5xceN6KZ)

Here we will provide short descriptions for datasets that are important for the dashboard.

Datasets used for constructing the main [Results Dashboard](dashboard:SpjUSyF): 
  - [shipping_tab_data](dataset:shipping_tab_data) used to create the **_Shipping_** slide.
  - [product_procurement_tab_data](dataset:product_procurement_tab_data) used to create the ** _Procurement_ **  slide.
  - [warehouse_tab_data](dataset:warehouse_tab_data) use to craete the **_Warehouse_** slide.
  
  
 Datasets used for constructing the [Benchmark Dashboard](dashboard:yfBd3FY) : 
  - [shipping_data_for_optimization_data](dataset:shipping_data_for_optimization_data) used to create charts related to benchmark for shipping.
  - [procurement_data_for_optimization_tab](dataset:procurement_data_for_optimization_tab) used to create charts related to benchmark for procurement.
  - [benchmark_improvement_rate](dataset:benchmark_improvement_rate) is a small dataset which contains the  _new optimized cost_,  _baseline cost_  and  _cost difference_ in percent between the two former.


Datasets available for download within the Dataiku app, these datasets contain main results from the optimization process (cost effective way to procure and ship products):
- [product_allocation](dataset:product_allocation) contains the list of products and quantities needed to be shipped from warehouse/supply_node to the store/demand_node. 
- [product_procurement_list](dataset:product_procurement_list) contains the list of product and quantities needed to be procured for the specific warehouse.

Optional dataset to download via flow:
- [product_set_allocation](dataset:product_set_allocation) contains the list of  _product-sets_  and quantities shipped from warehouse/supply_node to the store/demand_node. Available only if variable `enable_itemset_option` is set to `true`.

  

For more information about how ti optimization process works, see [Optimization approach](article:12).