Regarding technical limitations, there are two main sources of restrictions. That is, the solution is restrained by the complexity and size of the problem that needs to be solved. If you find that you're requirements include one of the following limitations, you may contact Grid Dynamics for a follow-up consultation. Grid Dynamics is a leading provider of technology consulting, agile co-creation, data science, and supply chain optimization services. Get in touch with our supply chain and data science experts at https://www.griddynamics.com/contact.

### Complexity limitation
The solution is intended to be used as the first step of inventory management and therefore its complexity is focused on computing the distribution of inventory across warehouses by optimizing overall procurement and shipping costs. Considering this, the solution doesn’t include the following variabilities:

- Lead time
- Vehicle capacity
- Procurement limits
- Budget restrictions
- Time dimension constraint


In order to define a more granular solution for planning delivery on a daily level, it would need additional optimization steps of inventory replenishment which is out of the scope of this project. Also, note that baseline datasets are not compared against constraints.


### Size limitation
The solution is intended for solving mid-size-level problems. Therefore, it uses open-source optimization solvers that are capable of optimizing solutions with approx. 100 warehouse and store locations, and with approx. 1000 product items. For larger-size problems, one may need to use computational instances with more CPU power and commercial solvers that provide more advanced algorithms for solving large-size optimization problems.


