The  _Columns identification_ section lets you identify the main columns playing a role in the Inventory Allocation Optimization so that we can process their information in the flow.

![columns identification](QNig8v0Xe8Qv)




In case you run the application with the demo data embedded in the application:

- The  _"Supply nodes identifier column"_  is named as  _"warehouse_id"_ 
- The  _"Demand nodes identifier column"_  is named as  _"forecast granularity"_ 
- The _"Location capacity identified column"_ is named as  _"location capacity"_ 
- The _"Product identifier column"_ is named as  _"product_id"_ 
- The  _"Product shipping cost identified column"_  is named as  _"product_shipping_cost"_ 
- The  _"Product stock in warehouse identifier column"_  is named as  _"product_stock_in_warehouses"_ 
- The  _"Product unit procurement cost identifier column"_  is named as  _"product_unit_procurement_cost"_ 
- The  _"Forecasted demand identifier column"_  is named as  _"forecasted_demand"_ 
- The  _"Allocation baseline stock quantity identifier column"_  is named as  _"product_stock_quantitiy"_ 
- The  _"Product stock procurement quantity identifier column"_  is named as  _"product_stock_procurement_quantity"_ 

**NOTE**: The most important thing for successfully using this application is to **make sure all the columns mentioned in this section have the exact same names in all the tables they are needed**.

**NOTE**: Custom column mapping is only available in SQL-type storages. If  _file_system_managed_  is used, then use the default column names.


## Column identifiers explained

 **Supply nodes identifier column**: Name of the supply node column (examples: warehouse_id, supply_node_id...)
 
 **Demand nodes identifier column**: Name of the demand node column (examples: store_id, demand_node_id, forecast_granularity...).
 
 **Location capacity identified column** contains the capacity of a supply node (examples: capacity, location_capacity...).
 
 **Product identifier column** contains product sets or product names (examples: product_id, sku_id, itemset_id, product_set_id...).
 
 **Product shipping cost identified column** contains the shipping cost for transferring a product from a supply node to a demand node.
 
 **Product stock in warehouse identifier column** contains the inventory number of the specific product in the specific warehouse.
 
 **Product unit procurement cost identifier column** contains procurement cost for the specific product in the specific warehouse.
 
 **Forecasted demand identifier column** contains demand for the specific product in the specific demand node/store
 
 
 ## Optional columns for baseline
 
 **Allocation baseline stock quantity identifier column** contains the baseline number of product quantities to procure the specific product in the specific warehouse
 
 **Product stock procurement quantity identifier column** contains the baseline number of the specific product allocations/shipping from a supply node to a demand node
 
 


